from grab import makePublic
from shared import TagHelper
from build import build
import os


def grab():
    # We're in src/kitaab-public/
    os.chdir('./grab/')
    all_files = TagHelper.getAllFiles()
    filtered_files = makePublic.filterFiles(all_files)
    makePublic.copyFiles(filtered_files)
    print("Censoring files...")
    makePublic.censorFiles()


def build_website():
    # we're in src/kitaab-public/grab/
    os.chdir('../')
    print('building websites')
    build.generate_website()


def main():
    grab()
    build_website()


if __name__ == '__main__':
    os.chdir('./src/kitaab-public/')
    main()
